org.jbpm.runtime.manager.impl.deploy

## Class DeploymentDescriptorManagerUtil

- java.lang.Object
- - org.jbpm.runtime.manager.impl.deploy.DeploymentDescriptorManagerUtil

-     public class DeploymentDescriptorManagerUtil
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeploymentDescriptorManagerUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static void` | `collectDeploymentDescriptors(org.drools.compiler.kie.builder.impl.InternalKieModule kmodule, List<org.kie.internal.runtime.conf.DeploymentDescriptor> descriptorHierarchy)`
    `static org.kie.internal.runtime.conf.DeploymentDescriptor` | `getDeploymentDescriptor(org.kie.internal.runtime.manager.deploy.DeploymentDescriptorManager manager, org.kie.api.runtime.KieContainer kieContainer, org.kie.internal.runtime.conf.MergeMode mode, org.kie.internal.runtime.conf.DeploymentDescriptor... presets)` This creates a deployment descriptor
    `static List<org.kie.internal.runtime.conf.DeploymentDescriptor>` | `getDeploymentDescriptorHierarchy(org.kie.internal.runtime.manager.deploy.DeploymentDescriptorManager manager, org.kie.api.runtime.KieContainer kieContainer)`
    `protected static org.kie.internal.runtime.conf.DeploymentDescriptor` | `getDescriptorFromContent(byte[] content)`
    `protected static org.kie.internal.runtime.conf.DeploymentDescriptor` | `getDescriptorFromKModule(org.drools.compiler.kie.builder.impl.InternalKieModule kmodule)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeploymentDescriptorManagerUtil

          public DeploymentDescriptorManagerUtil()

  - ### Method Detail

    - #### getDeploymentDescriptor

          public static org.kie.internal.runtime.conf.DeploymentDescriptor getDeploymentDescriptor(org.kie.internal.runtime.manager.deploy.DeploymentDescriptorManager manager,
                                                                                                   org.kie.api.runtime.KieContainer kieContainer,
                                                                                                   org.kie.internal.runtime.conf.MergeMode mode,
                                                                                                   org.kie.internal.runtime.conf.DeploymentDescriptor... presets)

      This creates a deployment descriptor
      Parameters:
        `manager` -
        `kieContainer` -
        `presets` -
      Returns:

    - #### getDeploymentDescriptorHierarchy

          public static List<org.kie.internal.runtime.conf.DeploymentDescriptor> getDeploymentDescriptorHierarchy(org.kie.internal.runtime.manager.deploy.DeploymentDescriptorManager manager,
                                                                                                                  org.kie.api.runtime.KieContainer kieContainer)

    - #### collectDeploymentDescriptors

          protected static void collectDeploymentDescriptors(org.drools.compiler.kie.builder.impl.InternalKieModule kmodule,
                                                             List<org.kie.internal.runtime.conf.DeploymentDescriptor> descriptorHierarchy)

    - #### getDescriptorFromKModule

          protected static org.kie.internal.runtime.conf.DeploymentDescriptor getDescriptorFromKModule(org.drools.compiler.kie.builder.impl.InternalKieModule kmodule)

    - #### getDescriptorFromContent

          protected static org.kie.internal.runtime.conf.DeploymentDescriptor getDescriptorFromContent(byte[] content)

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.